Subject: RE: [SIP] Discussion

From: Itamar Gilad <[email-masked]>
Date: Sun, 22 Oct 2000 17:22:53 +0200

Hello James,

You are correct that a UAS is responsible for adding a unique tag to the To:
header in it's responses.  Once it does this in a final response the tag
becomes a permanent part of the Call-Leg id, which is basically composed of
{Call-ID, To [+ tag], From [+tag]}. This means that any future requests and
responses sent in the context of this Call-Leg should must this tag in the
To/From header (depending on which side is initiating the request).  
However, if a server receives an INVITE message which already has a tag in
its To: header and this does not match any of its existing Call-Legs it
should reject this request with a 481 since the message was sent in the
context of some Call-Leg which only the caller is aware of.

Example: A is inviting B with a regular INVITE. B excepts with a 200 + To
tag, A sends ACK and the Call-Leg is established. B crushes and reboots.  A,
unaware of this, sends a re-INVITE to B (carrying the To tag).  B must
reject to avoid inconsistency.  

Regards
  Itamar

> -----Original Message-----
> From: james jack [mailto:[email-masked]]
> Sent: Fri, October 20, 2000 8:50 AM
> To: [email-masked]
> Subject: [SIP] Discussion
> 
> 
> Hi,All:
>   I have one question to consult, the question is that
> about the 481 Call Leg/Transaction Does Not Exist, on
> RFC2543bis02, which says "This status is returned
> under three conditions: The server received a BYE
> request that does not match any existing call leg, the
> server received a CANCEL request that does not match
> any existing transaction or the server received an
> INVITE with a To tag that does not match the local tag
> value. (A server simply discards an ACK referring to
> an unknown transaction.)" . I can't understand the
> words "or the server received an INVITE with a To tag
> that does not match the local tag value", could
> someone give me some example? According to my known,To
> tag is inserted by UAS or redirect server. which means
> To tag is used in response, how can a INVITE request
> with a To tag?
>    Maybe I am wrong, I want to consult with every
> expert?
>    Thanks!
>                                    Yours:james
> 
> 
> __________________________________________________
> Do You Yahoo!?
> Yahoo! Messenger - Talk while you surf!  It's FREE.
> http://im.yahoo.com/
> 
> _______________________________________________
> SIP mailing list
> [email-masked]
> http://lists.bell-labs.com/mailman/listinfo/sip
> 

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip